curl --request POST \
--url https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"pdfType": "submission",
"locationId": "ve9EPM428h8vShlRW1KT"
}
'{
"message": "PDF generation initiated",
"pdfExists": true,
"pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}Initiates PDF generation for a form submission. If PDF already exists, returns the PDF URL immediately.
curl --request POST \
--url https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"pdfType": "submission",
"locationId": "ve9EPM428h8vShlRW1KT"
}
'{
"message": "PDF generation initiated",
"pdfExists": true,
"pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Form ID
"DWQ45t2IPVxi9LDu1wBl"
Submission ID
"38303ec7-629a-49e2-888a-cf8bf0b1f97e"
Location ID
"ve9EPM428h8vShlRW1KT"
PDF download initiated successfully or PDF URL returned if already exists
Was this page helpful?